set echo on
set termout on

spool error121earlier.log

-- try to create ORA-30926 error with a merge statement

select banner from v$version;

drop table target;

create table target (a number,b number);

drop table source;

create table source (a number,b number);

insert into target values (1,1);

insert into source values (1,1);

insert into source values (1,2);

commit;

merge into target
using source
on (target.a = source.a)
when matched then
update set target.b=source.b
when not matched then
insert values (source.a,source.b);

commit;

select * from source;

select * from target;

spool off
